#!/bin/sh
# custom mx linux 19.4 configuration
# run as:  sudo mx-19.4.sh -y
apt-get install gnupg software-properties-common
apt-get update $1
echo 'deb http://ppa.launchpad.net/mkusb/ppa/ubuntu focal main' | sudo tee /etc/apt/sources.list.d/mkusb.list
apt-key adv --keyserver keyserver.ubuntu.com --recv 54B8C8AC
echo 'deb http://deb.debian.org/debian experimental main' | sudo tee /etc/apt/sources.list.d/experimental.list
echo 'deb http://ppa.launchpad.net/stefansundin/truecrypt/ubuntu xenial main' | sudo tee /etc/apt/sources.list.d/truecrypt.list
apt-key adv --keyserver keyserver.ubuntu.com --recv-keys 0xFFE1FFFFAFEC55BB
echo 'deb http://ppa.launchpad.net/atareao/telegram/ubuntu xenial main' | sudo tee /etc/apt/sources.list.d/telegram.list
apt-key adv --keyserver keyserver.ubuntu.com --recv-keys A3D8A366869FE2DC5FFD79C36A9653F936FD5529
echo 'deb http://ppa.launchpad.net/sebastian-stenzel/cryptomator/ubuntu xenial main' | sudo tee /etc/apt/sources.list.d/cryptomator.list
apt-key adv --keyserver keyserver.ubuntu.com --recv-keys CD045438B0D383A4039EA86F892C15CD130FEB9A
#echo 'deb http://ppa.launchpad.net/inkscape.dev/stable/ubuntu xenial main' | sudo tee /etc/apt/sources.list.d/inkscape.list
#apt-key adv --keyserver keyserver.ubuntu.com --recv-keys 22C4850146603F3DB0ED00479DA4BD18B9A06DE3
echo 'deb http://ftp.debian.org/debian buster-backports non-free contrib main' | sudo tee /etc/apt/sources.list.d/debian.list
curl -s https://brave-browser-apt-release.s3.brave.com/brave-core.asc |  apt-key --keyring /etc/apt/trusted.gpg.d/brave-browser-release.gpg add -
source /etc/os-release
echo "deb [arch=amd64] https://brave-browser-apt-release.s3.brave.com/ buster main" | tee /etc/apt/sources.list.d/brave-browser-release-buster.list
wget -qO - https://eddie.website/repository/keys/eddie_maintainer_gpg.key | apt-key add -
echo "deb http://eddie.website/repository/apt stable main" | tee /etc/apt/sources.list.d/eddie.website.list
wget -O- https://updates.signal.org/desktop/apt/keys.asc | gpg --dearmor > signal-desktop-keyring.gpg
mv signal-desktop-keyring.gpg /usr/share/keyrings/
echo 'deb http://download.opensuse.org/repositories/home:/vtrefny/Debian_Unstable/ /' | sudo tee /etc/apt/sources.list.d/home:vtrefny.list
curl -fsSL https://download.opensuse.org/repositories/home:vtrefny/Debian_Unstable/Release.key | gpg --dearmor | sudo tee /etc/apt/trusted.gpg.d/home_vtrefny.gpg > /dev/null
#<-- QGiS
wget -qO - https://qgis.org/downloads/qgis-2021.gpg.key |  gpg --no-default-keyring --keyring gnupg-ring:/etc/apt/trusted.gpg.d/qgis-archive.gpg --import
chmod a+r /etc/apt/trusted.gpg.d/qgis-archive.gpg
add-apt-repository "deb https://qgis.org/ubuntu $(lsb_release -c -s) main"
#--> QGiS
echo 'deb http://download.opensuse.org/repositories/home:/erigas:/cpupower-gui/Debian_Testing/ /' | sudo tee /etc/apt/sources.list.d/home:erigas:cpupower-gui.list
curl -fsSL https://download.opensuse.org/repositories/home:erigas:cpupower-gui/Debian_Testing/Release.key | gpg --dearmor | sudo tee /etc/apt/trusted.gpg.d/home_erigas_cpupower-gui.gpg > /dev/null
echo 'deb [arch=amd64 signed-by=/usr/share/keyrings/signal-desktop-keyring.gpg] https://updates.signal.org/desktop/apt xenial main' |\
  sudo tee -a /etc/apt/sources.list.d/signal-xenial.list
apt-get update $1
apt-get upgrade $1
apt-get install $1 mkusb
#<-- install python 3.9
apt-get install $1 build-essential liblzma-dev zlib1g-dev libncurses5-dev libgdbm-dev libnss3-dev libssl-dev libsqlite3-dev libreadline-dev libffi-dev curl libbz2-dev python-tk python3-tk tk-dev
wget https://www.python.org/ftp/python/3.9.8/Python-3.9.8.tgz
tar -xf Python-3.9.8.tgz
cd Python-3.9.8
./configure --prefix=/usr --enable-shared --with-ensurepip=yes --enable-optimizations 
make -j 2
make install
#-->
#<-- cpupower
apt-get install $1 cpupower-gui
apt-get install $1 gir1.2-handy-1
#--> cpupower
apt-get install $1 net-tools
apt-get install $1 telegram
apt-get install $1 signal-desktop
apt-get install $1 veracrypt
apt-get install $1 truecrypt
apt-get install $1 cryptomator
apt-get install $1 eddie-ui
apt-get install $1 flameshot
apt-get install $1 -t buster-backports inkscape
apt-get install $1 virtualbox virtualbox-dkms virtualbox-ext-pack virtualbox-guest-additions-iso
# apt-get install $1 obs-studio obs-plugins libobs0
# install obs-studio from source (with browser) from https://obsproject.com/wiki/install-instructions#debian-based-build-directions
apt-get install $1 python3-pip
pip3 install numpy
pip3 install notebook
apt-get install $1 brave-browser
#3d mouse
wget http://ftp.pl.debian.org/debian/pool/main/s/spacenavd/spacenavd_0.7.1-1_amd64.deb
apt-get install $1 ./spacenavd_0.7.1-1_amd64.deb
apt-get install $1 solaar
# FFmpeg frontend
apt-get install $1 winff
apt-get install $1 kdenlive kdenlive-data frei0r-plugins breeze-icon-theme
apt-get install $1 scrcpy
wget https://github.com/turtl/desktop/releases/download/v0.7.2.5/turtl-0.7.2.5-linux64.tar.bz2
tar -xvf turtl-0.7.2.5-linux64.tar.bz2
cd turtl-linux64
sudo ./install.sh
# run /opt/turtl/turtl
# download vmwareplayer: https://my.vmware.com/en/web/vmware/downloads/details?downloadGroup=WKST-PLAYER-1612&productId=1039#product_downloads
./VMware-Player-16.1.2-17966106.x86_64.bundle
#ecryptfs not available in current repo -> direct download
wget http://ftp.de.debian.org/debian/pool/main/e/ecryptfs-utils/ecryptfs-utils_111-5_amd64.deb
wget http://ftp.de.debian.org/debian/pool/main/e/ecryptfs-utils/libecryptfs1_111-5_amd64.deb
apt-get install $1 ./ecryptfs-utils_111-5_amd64.deb ./libecryptfs1_111-5_amd64.deb
# wifi mac random address config
cp ./30-randomize-mac-address.conf /etc/NetworkManager/conf.d
apt-get install $1 baobab
apt-get -t experimental install $1 josm
apt-get install $1 qgis qgis-plugin-grass qgis-server 
#<-- nodejs
curl -sL https://deb.nodesource.com/setup_14.x | bash -
apt-get install $1 nodejs
curl -sL https://dl.yarnpkg.com/debian/pubkey.gpg | gpg --dearmor | tee /usr/share/keyrings/yarnkey.gpg >/dev/null
echo "deb [signed-by=/usr/share/keyrings/yarnkey.gpg] https://dl.yarnpkg.com/debian stable main" | tee /etc/apt/sources.list.d/yarn.list
apt-get update 
apt-get install $1 yarn
#--> nodejs
apt-get install $1 blivet-gui