#!/bin/sh
# custom mx linux 21 configuration
# run as:  sudo mx-21.sh -y

apt-get install gnupg software-properties-common
apt-get update $1
apt-get full-upgrade $1

#<-- cpupower 
apt-get install $1 cpupower-gui
apt-get install $1 gir1.2-handy-1
#--> cpupower

#<-- TLP – Linux Advanced Power Management 
apt-get install $1 tlp tlpui tlp-rdw
apt-get install $1 powertop
#--> TLP

apt-get install $1 net-tools
apt-get install $1 veracrypt
apt-get install $1 flameshot
apt-get install $1 inkscape
apt-get install $1 virtualbox virtualbox-dkms virtualbox-ext-pack virtualbox-guest-additions-iso
apt-get install $1 obs-studio obs-plugins libobs0

#3d mouse
wget http://ftp.pl.debian.org/debian/pool/main/s/spacenavd/spacenavd_0.7.1-1_amd64.deb
apt-get install $1 ./spacenavd_0.7.1-1_amd64.deb

apt-get install $1 solaar
# FFmpeg frontend
apt-get install $1 winff

apt-get install $1 kdenlive kdenlive-data frei0r-plugins breeze-icon-theme
apt-get install $1 scrcpy
apt-get install $1 python3-pip
apt-get install $1 python3-tk
apt-get install $1 pipenv
pip3 install pipenv-pipes

#scanner brother DCP-T500W
apt-get install $1 xsane xsane-common
wget https://download.brother.com/welcome/dlf105200/brscan4-0.4.11-1.amd64.deb
apt-get install $1 ./brscan4-0.4.11-1.amd64.deb

#scanner HP 
apt-get install $1 hplip hplip-data hplip-gui hplip-doc

#turtl
wget https://github.com/turtl/desktop/releases/download/v0.7.2.6-pre-sync-fix/turtl-0.7.2.6-pre-sync-fix-linux64.tar.bz2
tar -xvf turtl-0.7.2.6-pre-sync-fix-linux64.tar.bz2
cd turtl-linux64
./install.sh

#vmware player
# download vmwareplayer: https://my.vmware.com/en/web/vmware/downloads/details?downloadGroup=WKST-PLAYER-1612&productId=1039#product_downloads
# ./VMware-Player-16.1.2-17966106.x86_64.bundle

# ecryptfs not available in current repo -> direct download
wget http://ftp.de.debian.org/debian/pool/main/e/ecryptfs-utils/ecryptfs-utils_111-5_amd64.deb
wget http://ftp.de.debian.org/debian/pool/main/e/ecryptfs-utils/libecryptfs1_111-5_amd64.deb
apt-get install $1 ./ecryptfs-utils_111-5_amd64.deb ./libecryptfs1_111-5_amd64.deb

apt-get -t experimental install $1 josm
# extra key mapping for logitech
apt-get install $1 xbindkeys xautomation xdotool

# droidcam client -> v4l2 , https://www.dev47apps.com/droidcam/linux/
cd /tmp/
wget -O droidcam_latest.zip https://files.dev47apps.net/linux/droidcam_1.8.1.zip
sha1sum droidcam_latest.zip
unzip droidcam_latest.zip -d droidcam
cd droidcam && ./install-client
apt-get install $1 linux-headers-`uname -r` gcc make
./install-video
./install-sound
cd .. && rm -r ./droidcam*

#<-- nodejs (LTS)
curl -sL https://deb.nodesource.com/setup_lts.x | bash -
apt-get install $1 nodejs
curl -sL https://dl.yarnpkg.com/debian/pubkey.gpg | gpg --dearmor | tee /usr/share/keyrings/yarnkey.gpg >/dev/null
echo "deb [signed-by=/usr/share/keyrings/yarnkey.gpg] https://dl.yarnpkg.com/debian stable main" | tee /etc/apt/sources.list.d/yarn.list
apt-get update 
apt-get install $1 yarn
#--> nodejs

#telegram (from ppa)
echo 'deb http://ppa.launchpad.net/atareao/telegram/ubuntu focal main' | sudo tee /etc/apt/sources.list.d/telegram.list
apt-key adv --keyserver keyserver.ubuntu.com --recv-keys A3D8A366869FE2DC5FFD79C36A9653F936FD5529
apt-get update
apt-get install telegram

#signal (from ppa)
wget -O- https://updates.signal.org/desktop/apt/keys.asc | gpg --dearmor > signal-desktop-keyring.gpg
mv signal-desktop-keyring.gpg /usr/share/keyrings/
echo 'deb [arch=amd64 signed-by=/usr/share/keyrings/signal-desktop-keyring.gpg] https://updates.signal.org/desktop/apt xenial main' |\
  sudo tee -a /etc/apt/sources.list.d/signal-xenial.list
apt-get update $1
apt-get install $1 signal-desktop

#truecrypt (from ppa)
echo 'deb http://ppa.launchpad.net/stefansundin/truecrypt/ubuntu focal main' | sudo tee /etc/apt/sources.list.d/truecrypt.list
apt-key adv --keyserver keyserver.ubuntu.com --recv-keys 0xFFE1FFFFAFEC55BB
apt-get update $1
apt-get install $1 truecrypt


# blivet-gui (repl. for gparted with encryption) https://fedoraproject.org/wiki/Blivet-gui
echo 'deb http://download.opensuse.org/repositories/home:/vtrefny/Debian_Unstable/ /' | sudo tee /etc/apt/sources.list.d/home:vtrefny.list
curl -fsSL https://download.opensuse.org/repositories/home:vtrefny/Debian_Unstable/Release.key | gpg --dearmor | sudo tee /etc/apt/trusted.gpg.d/home_vtrefny.gpg > /dev/null
apt-get update $1
apt-get install $1 blivet-gui

# brave (from ppa)
curl -s https://brave-browser-apt-release.s3.brave.com/brave-core.asc |  apt-key --keyring /etc/apt/trusted.gpg.d/brave-browser-release.gpg add -
source /etc/os-release
echo "deb [arch=amd64] https://brave-browser-apt-release.s3.brave.com/ bullseye main" | tee /etc/apt/sources.list.d/brave-browser-release.list
apt-get update $1
apt-get install $1 brave-browser

# eddie/airvpn (from ppa)
wget -qO - https://eddie.website/repository/keys/eddie_maintainer_gpg.key | apt-key add -
echo "deb http://eddie.website/repository/apt stable main" | tee /etc/apt/sources.list.d/eddie.website.list
apt-get update $1
apt-get install $1 eddie-ui

#<-- QGiS 3.22 (from ppa)
wget -qO - https://qgis.org/downloads/qgis-2021.gpg.key |  gpg --no-default-keyring --keyring gnupg-ring:/etc/apt/trusted.gpg.d/qgis-archive.gpg --import
chmod a+r /etc/apt/trusted.gpg.d/qgis-archive.gpg
add-apt-repository "deb https://qgis.org/ubuntu $(lsb_release -c -s) main"
apt-get update $1
apt-get install $1 qgis qgis-plugin-grass qgis-server 
#--> QGiS


#install apps from appimage

wget https://github.com/cryptomator/cryptomator/releases/download/1.6.5/cryptomator-1.6.5-x86_64.AppImage
wget https://github.com/leozide/leocad/releases/download/v21.06/LeoCAD-Linux-21.06-x86_64.AppImage
wget https://github.com/balena-io/etcher/releases/download/v1.7.3/balenaEtcher-1.7.3-x64.AppImage
wget https://github.com/FreeCAD/FreeCAD/releases/download/0.19.3/FreeCAD_0.19.3-Linux-Conda_glibc2.12-x86_64.AppImage
wget https://github.com/skyjake/lagrange/releases/download/v1.10.5/Lagrange-1.10.5-x86_64.AppImage
wget https://free-astro.org/download/Siril-1.0.0-rc2-x86_64.AppImage
wget https://download.delta.chat/desktop/v1.26.0/DeltaChat-1.26.0.AppImage


